BMAConsoleCommand Class Reference

`#include <BMAConsoleCommand.h>`

Inheritance diagram for BMAConsoleCommand:
[legend]

## Public Member Functions

| BMAConsoleCommand (string commandName)
| ~BMAConsoleCommand ()
virtual int | processCommand (BMAConsoleSession *session)

## Public Attributes

string | commandName

## Constructor & Destructor Documentation

BMAConsoleCommand::BMAConsoleCommand | ( | string | commandName | ) |

BMAConsoleCommand::~BMAConsoleCommand | ( |  | ) |

## Member Function Documentation

int BMAConsoleCommand::processCommand | ( | BMAConsoleSession * | session | ) |

virtual

Reimplemented in BMATCPServerSocket, and BMAEPoll.

## Member Data Documentation

string BMAConsoleCommand::commandName

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMAConsoleCommand.h
- /home/barant/Documents/Development/BMASockets/BMAConsoleCommand.cpp